Class | MOFile
In: | lib/ramaze/contrib/gettext/mo.rb
Parent: | Hash

### Methods

load load_from_file load_from_stream new open set_comment update!

### Classes and Modules

Class MOFile::InvalidFormat

### Constants

Header | = | Struct.new(:magic, :revision, :nstrings, :orig_table_offset, :translated_table_offset, :hash_table_size, :hash_table_offset)
MAGIC_BIG_ENDIAN | = | "\x95\x04\x12\xde"
MAGIC_LITTLE_ENDIAN | = | "\xde\x12\x04\x95"

### Attributes

charset | [R] |
filename | [R] |
last_modified | [RW] |
little_endian | [RW] |
nplurals | [R] |
path | [RW] |
plural | [R] |

### Public Class methods

new(output_charset = nil)
open(arg = nil, output_charset = nil)

### Public Instance methods

load(arg)
load_from_file(filename)
load_from_stream(io)
set_comment(msgid_or_sym, comment)
update!()

[Validate]